$(function() {
  // 決済ライフサイクルタブ
  // 画面描画時は「content1」のタブ内容を表示
  var currentTabClass = 'content1';
  // 「content1」のボタン部分の文字スタイルを太字にする
  $('.tab-buttons .content1').css({'font-weight':'bold','color':'black'});

  $('.tab-content_lifecycle>div').hide();
  $('.tab-content_lifecycle>div').first().slideDown();

  // タブのボタン部分クリック時の処理
  $('.tab-buttons span').click(function(){
    var thisclass=$(this).attr('class');
    currentTabClass = thisclass;
    $('#lamp').removeClass().addClass('#lamp').addClass(thisclass);
    $(this).css({'font-weight':'bold','color':'black'});
    $('.tab-content_lifecycle>div').each(function(){
      if($(this).hasClass(thisclass)){
        $(this).fadeIn(400);
      }
      else{
        $(this).hide();
      }
      
      $('.tab-buttons span').each(function(){
        if(!$(this).hasClass(currentTabClass)){
          $(this).css({'font-weight':'normal','color':'black'});
        }
      });
    });
  });
  
  // タブボタンにマウスオーバーした時の処理
  $('.tab-buttons span').mouseover(function(){
    var thisclass=$(this).attr('class');

    $('.tab-buttons span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabClass)){
        // マウスオーバーしたボタンに下線を表示
        $('#lamp').removeClass().addClass('#lamp').addClass(thisclass + '_hover');
        // マウスオーバーしたボタンの文字のスタイルを変更する
        $(this).css({'font-weight':'bold','color':'gray'});
      }
    });
  });
  
  // タブボタンからマウスオーバーした時の処理
  $('.tab-buttons span').mouseout(function(){
    var thisclass=$(this).attr('class');

    $('#lamp').removeClass().addClass('#lamp').addClass(currentTabClass);
    
    $('.tab-buttons span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabClass)){
        $(this).css({'font-weight':'normal','color':'black'});
      }
    });
  });

  // テストシナリオタブ　「都度取引」
  // 画面描画時は「content_test_scenario1」のタブ内容を表示
  var currentTabTestScenario = 'content_test_scenario1';
  // 「content_test_scenario1」のボタン部分の文字スタイルを太字にする
  $('.tab-buttons_test_scenario .content_test_scenario1').css({'font-weight':'bold','color':'black'});

  $('.tab-content_test_scenario>div').hide();
  $('.tab-content_test_scenario>div').first().slideDown();

  // タブのボタン部分クリック時の処理
  $('.tab-buttons_test_scenario span').click(function(){
    var thisclass=$(this).attr('class');
    currentTabTestScenario = thisclass;
    $('#lamp_test_scenario').removeClass().addClass('#lamp_test_scenario').addClass(thisclass);
    $(this).css({'font-weight':'bold','color':'black'});
    $('.tab-content_test_scenario>div').each(function(){
      if($(this).hasClass(thisclass)){
        $(this).fadeIn(400);
      }
      else{
        $(this).hide();
      }
      
      $('.tab-buttons_test_scenario span').each(function(){
        if(!$(this).hasClass(currentTabTestScenario)){
          $(this).css({'font-weight':'normal','color':'black'});
        }
      });
    });
  });
  
  // タブボタンにマウスオーバーした時の処理
  $('.tab-buttons_test_scenario span').mouseover(function(){
    var thisclass=$(this).attr('class');
    
    $('.tab-buttons_test_scenario span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabTestScenario)){
        // マウスオーバーしたボタンに下線を表示
        $('#lamp_test_scenario').removeClass().addClass('#lamp_test_scenario').addClass(thisclass + '_hover');
        // マウスオーバーしたボタンの文字のスタイルを変更する
        $(this).css({'font-weight':'bold','color':'gray'});
      }
    });
  });
  
  // タブボタンからマウスオーバーした時の処理
  $('.tab-buttons_test_scenario span').mouseout(function(){
    var thisclass=$(this).attr('class');

    $('#lamp_test_scenario').removeClass().addClass('#lamp_test_scenario').addClass(currentTabTestScenario);
    
    $('.tab-buttons_test_scenario span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabTestScenario)){
        $(this).css({'font-weight':'normal','color':'black'});
      }
    });
  });

  // テストシナリオタブ　「随時取引（original）」
  // 画面描画時は「content_test_scenario_ondemand_org1」のタブ内容を表示
  var currentTabTestScenarioOndemandOrg = 'content_test_scenario_ondemand_org1';
  // 「content_test_scenario_ondemand_org1」のボタン部分の文字スタイルを太字にする
  $('.tab-buttons_test_scenario_ondemand_org .content_test_scenario_ondemand_org1').css({'font-weight':'bold','color':'black'});
  
  $('.tab-content_test_scenario_ondemand_org>div').hide();
  $('.tab-content_test_scenario_ondemand_org>div').first().slideDown();
  
  // タブのボタン部分クリック時の処理
  $('.tab-buttons_test_scenario_ondemand_org span').click(function(){
    var thisclass=$(this).attr('class');
    currentTabTestScenarioOndemandOrg = thisclass;
    $('#lamp_test_scenario_ondemand_org').removeClass().addClass('#lamp_test_scenario_ondemand_org').addClass(thisclass);
    $(this).css({'font-weight':'bold','color':'black'});
    $('.tab-content_test_scenario_ondemand_org>div').each(function(){
      if($(this).hasClass(thisclass)){
        $(this).fadeIn(400);
      }
      else{
        $(this).hide();
      }
      
      $('.tab-buttons_test_scenario_ondemand_org span').each(function(){
        if(!$(this).hasClass(currentTabTestScenarioOndemandOrg)){
          $(this).css({'font-weight':'normal','color':'black'});
        }
      });
    });
  });
  
  // タブボタンにマウスオーバーした時の処理
  $('.tab-buttons_test_scenario_ondemand_org span').mouseover(function(){
    var thisclass=$(this).attr('class');
    
    $('.tab-buttons_test_scenario_ondemand_org span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabTestScenarioOndemandOrg)){
        // マウスオーバーしたボタンに下線を表示
        $('#lamp_test_scenario_ondemand_org').removeClass().addClass('#lamp_test_scenario_ondemand_org').addClass(thisclass + '_hover');
        // マウスオーバーしたボタンの文字のスタイルを変更する
        $(this).css({'font-weight':'bold','color':'gray'});
      }
    });
  });
  
  // タブボタンからマウスオーバーした時の処理
  $('.tab-buttons_test_scenario_ondemand_org span').mouseout(function(){
    var thisclass=$(this).attr('class');
  
    $('#lamp_test_scenario_ondemand_org').removeClass().addClass('#lamp_test_scenario_ondemand_org').addClass(currentTabTestScenarioOndemandOrg);
    
    $('.tab-buttons_test_scenario_ondemand_org span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabTestScenarioOndemandOrg)){
        $(this).css({'font-weight':'normal','color':'black'});
      }
    });
  });

  // テストシナリオタブ　「随時取引（original）」
  // 画面描画時は「content_test_scenario_ondemand1」のタブ内容を表示
  var currentTabTestScenarioOndemand = 'content_test_scenario_ondemand1';
  // 「content_test_scenario_ondemand1」のボタン部分の文字スタイルを太字にする
  $('.tab-buttons_test_scenario_ondemand .content_test_scenario_ondemand1').css({'font-weight':'bold','color':'black'});
  
  $('.tab-content_test_scenario_ondemand>div').hide();
  $('.tab-content_test_scenario_ondemand>div').first().slideDown();
  
  // タブのボタン部分クリック時の処理
  $('.tab-buttons_test_scenario_ondemand span').click(function(){
    var thisclass=$(this).attr('class');
    currentTabTestScenarioOndemand = thisclass;
    $('#lamp_test_scenario_ondemand').removeClass().addClass('#lamp_test_scenario_ondemand').addClass(thisclass);
    $(this).css({'font-weight':'bold','color':'black'});
    $('.tab-content_test_scenario_ondemand>div').each(function(){
      if($(this).hasClass(thisclass)){
        $(this).fadeIn(400);
      }
      else{
        $(this).hide();
      }
      
      $('.tab-buttons_test_scenario_ondemand span').each(function(){
        if(!$(this).hasClass(currentTabTestScenarioOndemand)){
          $(this).css({'font-weight':'normal','color':'black'});
        }
      });
    });
  });
  
  // タブボタンにマウスオーバーした時の処理
  $('.tab-buttons_test_scenario_ondemand span').mouseover(function(){
    var thisclass=$(this).attr('class');
    
    $('.tab-buttons_test_scenario_ondemand span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabTestScenarioOndemand)){
        // マウスオーバーしたボタンに下線を表示
        $('#lamp_test_scenario_ondemand').removeClass().addClass('#lamp_test_scenario_ondemand').addClass(thisclass + '_hover');
        // マウスオーバーしたボタンの文字のスタイルを変更する
        $(this).css({'font-weight':'bold','color':'gray'});
      }
    });
  });
  
  // タブボタンからマウスオーバーした時の処理
  $('.tab-buttons_test_scenario_ondemand span').mouseout(function(){
    var thisclass=$(this).attr('class');
  
    $('#lamp_test_scenario_ondemand').removeClass().addClass('#lamp_test_scenario_ondemand').addClass(currentTabTestScenarioOndemand);
    
    $('.tab-buttons_test_scenario_ondemand span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabTestScenarioOndemand)){
        $(this).css({'font-weight':'normal','color':'black'});
      }
    });
  });

  // 処理フロータブ　「」
  // 画面描画時は「content_api_flow1」のタブ内容を表示
  var currentTabApiFlow = 'content_api_flow1';
  // 「content_test_scenario_ondemand1」のボタン部分の文字スタイルを太字にする
  $('.tab-buttons_api_flow .content_api_flow1').css({'font-weight':'bold','color':'black'});
  
  $('.tab-content_api_flow>div').hide();
  $('.tab-content_api_flow>div').first().slideDown();
  
  // タブのボタン部分クリック時の処理
  $('.tab-buttons_api_flow span').click(function(){
    var thisclass=$(this).attr('class');
    currentTabApiFlow = thisclass;
    $('#lamp_api_flow').removeClass().addClass('#lamp_api_flow').addClass(thisclass);
    $(this).css({'font-weight':'bold','color':'black'});
    $('.tab-content_api_flow>div').each(function(){
      if($(this).hasClass(thisclass)){
        $(this).fadeIn(400);
      }
      else{
        $(this).hide();
      }
      
      $('.tab-buttons_api_flow span').each(function(){
        if(!$(this).hasClass(currentTabApiFlow)){
          $(this).css({'font-weight':'normal','color':'black'});
        }
      });
    });
  });
  
  // タブボタンにマウスオーバーした時の処理
  $('.tab-buttons_api_flow span').mouseover(function(){
    var thisclass=$(this).attr('class');
    
    $('.tab-buttons_api_flow span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabApiFlow)){
        // マウスオーバーしたボタンに下線を表示
        $('#lamp_api_flow').removeClass().addClass('#lamp_api_flow').addClass(thisclass + '_hover');
        // マウスオーバーしたボタンの文字のスタイルを変更する
        $(this).css({'font-weight':'bold','color':'gray'});
      }
    });
  });
  
  // タブボタンからマウスオーバーした時の処理
  $('.tab-buttons_api_flow span').mouseout(function(){
    var thisclass=$(this).attr('class');
  
    $('#lamp_api_flow').removeClass().addClass('#lamp_api_flow').addClass(currentTabApiFlow);
    
    $('.tab-buttons_api_flow span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabApiFlow)){
        $(this).css({'font-weight':'normal','color':'black'});
      }
    });
  });

  // 決済シーケンスタブ
  // 画面描画時は「content_api_flow1」のタブ内容を表示
  var currentTabPaymentSequence = 'content_payment_sequence1';
  // 「content_test_scenario_ondemand1」のボタン部分の文字スタイルを太字にする
  $('.tab-buttons_payment_sequence .content_payment_sequence1').css({'font-weight':'bold','color':'black'});
  
  $('.tab-content_payment_sequence>div').hide();
  $('.tab-content_payment_sequence>div').first().slideDown();
  
  // タブのボタン部分クリック時の処理
  $('.tab-buttons_payment_sequence span').click(function(){
    var thisclass=$(this).attr('class');
    currentTabPaymentSequence = thisclass;
    $('#lamp__payment_sequence').removeClass().addClass('#lamp_payment_sequence').addClass(thisclass);
    $(this).css({'font-weight':'bold','color':'black'});
    $('.tab-content_payment_sequence>div').each(function(){
      if($(this).hasClass(thisclass)){
        $(this).fadeIn(400);
      }
      else{
        $(this).hide();
      }
      
      $('.tab-buttons_payment_sequence span').each(function(){
        if(!$(this).hasClass(currentTabPaymentSequence)){
          $(this).css({'font-weight':'normal','color':'black'});
        }
      });
    });
  });
  
  // タブボタンにマウスオーバーした時の処理
  $('.tab-buttons_payment_sequence span').mouseover(function(){
    var thisclass=$(this).attr('class');
    
    $('.tab-buttons_payment_sequence span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabPaymentSequence)){
        // マウスオーバーしたボタンに下線を表示
        $('#lamp_payment_sequence').removeClass().addClass('#lamp_payment_sequence').addClass(thisclass + '_hover');
        // マウスオーバーしたボタンの文字のスタイルを変更する
        $(this).css({'font-weight':'bold','color':'gray'});
      }
    });
  });
  
  // タブボタンからマウスオーバーした時の処理
  $('.tab-buttons_payment_sequence span').mouseout(function(){
    var thisclass=$(this).attr('class');
  
    $('#lamp_payment_sequence').removeClass().addClass('#lamp_payment_sequence').addClass(currentTabPaymentSequence);
    
    $('.tab-buttons_payment_sequence span').each(function(){
      if($(this).hasClass(thisclass) && !$(this).hasClass(currentTabPaymentSequence)){
        $(this).css({'font-weight':'normal','color':'black'});
      }
    });
  });
});